import type * as monaco from 'monaco-types';
import type * as lsp from 'vscode-languageserver-protocol';
/**
 * Convert a Monaco editor code lens to an LSP code lens.
 *
 * @param codeLens
 *   The Monaco code lens to convert.
 * @returns
 *   The code lens as an LSP code lens.
 */
export declare function fromCodeLens(codeLens: monaco.languages.CodeLens): lsp.CodeLens;
/**
 * Convert an LSP code lens to a Monaco editor code lens.
 *
 * @param codeLens
 *   The LSP code lens to convert.
 * @returns
 *   The code lens as Monaco editor code lens.
 */
export declare function toCodeLens(codeLens: lsp.CodeLens): monaco.languages.CodeLens;
//# sourceMappingURL=codeLens.d.ts.map