import type * as monaco from 'monaco-types';
import type * as lsp from 'vscode-languageserver-protocol';
/**
 * Convert a Monaco editor command to an LSP command.
 *
 * @param command
 *   The Monaco command to convert.
 * @returns
 *   The command as an LSP command.
 */
export declare function fromCommand(command: monaco.languages.Command): lsp.Command;
/**
 * Convert an LSP command to a Monaco editor command.
 *
 * @param command
 *   The LSP command to convert.
 * @returns
 *   The command as Monaco editor command.
 */
export declare function toCommand(command: lsp.Command): monaco.languages.Command;
//# sourceMappingURL=command.d.ts.map