import type * as monaco from 'monaco-types';
import type * as lsp from 'vscode-languageserver-protocol';
/**
 * Convert a Monaco editor inlay hint label part to an LSP inlay hint label part.
 *
 * @param inlayHintLabelPart
 *   The Monaco inlay hint label part to convert.
 * @returns
 *   The inlay hint label part as an LSP inlay hint label part.
 */
export declare function fromInlayHintLabelPart(inlayHintLabelPart: monaco.languages.InlayHintLabelPart): lsp.InlayHintLabelPart;
/**
 * Convert an LSP inlay hint label part to a Monaco editor inlay hint label part.
 *
 * @param inlayHintLabelPart
 *   The LSP inlay hint label part to convert.
 * @returns
 *   The inlay hint label part as Monaco editor inlay hint label part.
 */
export declare function toInlayHintLabelPart(inlayHintLabelPart: lsp.InlayHintLabelPart): monaco.languages.InlayHintLabelPart;
//# sourceMappingURL=inlayHintLabelPart.d.ts.map