import type * as monaco from 'monaco-types';
import type * as lsp from 'vscode-languageserver-protocol';
/**
 * Convert Monaco editor linked editing ranges to LSP linked editing ranges.
 *
 * @param linkedEditingRanges
 *   The Monaco linked editing ranges to convert.
 * @returns
 *   The linked editing ranges as LSP linked editing ranges.
 */
export declare function fromLinkedEditingRanges(linkedEditingRanges: monaco.languages.LinkedEditingRanges): lsp.LinkedEditingRanges;
/**
 * Convert LSP linked editing ranges to Monaco editor linked editing ranges.
 *
 * @param linkedEditingRanges
 *   The LSP linked editing ranges to convert.
 * @returns
 *   The linked editing ranges Monaco editor linked editing ranges.
 */
export declare function toLinkedEditingRanges(linkedEditingRanges: lsp.LinkedEditingRanges): monaco.languages.LinkedEditingRanges;
//# sourceMappingURL=linkedEditingRanges.d.ts.map