import type * as monaco from 'monaco-types';
import type * as lsp from 'vscode-languageserver-protocol';
/**
 * Convert a Monaco editor location to an LSP location.
 *
 * @param location
 *   The Monaco location to convert.
 * @returns
 *   The location as an LSP location.
 */
export declare function fromLocation(location: monaco.languages.Location): lsp.Location;
/**
 * Convert an LSP location to a Monaco editor location.
 *
 * @param location
 *   The LSP location to convert.
 * @returns
 *   The location as Monaco editor location.
 */
export declare function toLocation(location: lsp.Location): monaco.languages.Location;
//# sourceMappingURL=location.d.ts.map