import type * as monaco from 'monaco-types';
import type * as lsp from 'vscode-languageserver-protocol';
/**
 * Convert a Monaco editor range to an LSP range.
 *
 * @param range
 *   The Monaco range to convert.
 * @returns
 *   The range as an LSP range.
 */
export declare function fromRange(range: monaco.IRange): lsp.Range;
/**
 * Convert an LSP range to a Monaco editor range.
 *
 * @param range
 *   The LSP range to convert.
 * @returns
 *   The range as Monaco editor range.
 */
export declare function toRange(range: lsp.Range): monaco.IRange;
//# sourceMappingURL=range.d.ts.map