import type * as monaco from 'monaco-types';
import type * as lsp from 'vscode-languageserver-protocol';
/**
 * Convert a Monaco editor text edit to an LSP text edit.
 *
 * @param textEdit
 *   The Monaco text edit to convert.
 * @returns
 *   The text edit as an LSP text edit.
 */
export declare function fromTextEdit(textEdit: monaco.languages.TextEdit): lsp.TextEdit;
/**
 * Convert an LSP text edit to a Monaco editor text edit.
 *
 * @param textEdit
 *   The LSP text edit to convert.
 * @returns
 *   The text edit as Monaco editor text edit.
 */
export declare function toTextEdit(textEdit: lsp.TextEdit): monaco.languages.TextEdit;
//# sourceMappingURL=textEdit.d.ts.map